Subject: Re: bug#8911: bs-cycle-next deletes window in some cases.

From: martin rudalics <[email-masked]>
Date: Tue, 21 Jun 2011 18:36:21 +0200

>> The trouble was that, when called on a dedicated window, it iconified
 >> the frame.
 >
 > I don't follow: why do you think it's a trouble?  To me it's exactly
 > what I want.  Is it that you prefer it deletes the frame rather than
 > iconify it?

No.  But I recall that people disliked iconified frames.

 > Not sure if it's needed.  Calling bury-buffer with a non-nil arg should
 > be sufficient.

Indeed, that's the best solution.

martin